Skip to main content
GET
/
extractions
/
sessions
/
{sessionId}
/
results
List Results
curl --request GET \
  --url https://api.raydocs.com/extractions/sessions/{sessionId}/results \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "extraction_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "created",
      "config_hash": "<string>",
      "document_refs": [
        {
          "kind": "documentRef",
          "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "workspaceId": 123,
          "filename": "<string>",
          "mime": "<string>",
          "size": 123,
          "sha256": "<string>",
          "source": {
            "type": "upload",
            "url": "<string>"
          },
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ],
      "data": {},
      "audit_data": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.raydocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authentication & Scope

Requires the sessions-read ability.

Request

GET /extractions/sessions/770e8400-e29b-41d4-a716-446655440000/results HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>

Path Parameters

ParameterTypeRequiredDescription
sessionIduuidYesThe session ID

Response

200 OK – Array of extraction runs.
{
  "data": [
    {
      "id": "990e8400-e29b-41d4-a716-446655440000",
      "extraction_session_id": "770e8400-e29b-41d4-a716-446655440000",
      "status": "completed",
      "config_hash": "cfg_9eeae65063f17f55",
      "title": "Invoice #INV-2024-001",
      "created_at": "2024-01-15T10:30:00Z",
      "completed_at": "2024-01-15T10:32:00Z"
    }
  ]
}

Result Status Values

StatusDescription
createdExtraction run created and queued
processingExtraction in progress
completedExtraction finished successfully
failedExtraction failed

Authorizations

Authorization
string
header
required

Personal Access Token created from the Raydocs dashboard. Include in the Authorization header: Bearer <your_token> See API Keys for token creation and management.

Path Parameters

sessionId
string<uuid>
required

Response

Successful

data
object[]